Gets a published blog article by slug.
curl --request GET \
--url https://api.leadping.ai/blog/{slug}import requests
url = "https://api.leadping.ai/blog/{slug}"
response = requests.get(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/blog/{slug}");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/blog/{slug}")
.asString();const options = {method: 'GET'};
fetch('https://api.leadping.ai/blog/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/blog/{slug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/blog/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"shareOnFacebook": true,
"shareOnInstagram": true,
"shareOnX": true,
"shareOnLinkedIn": true,
"socialPosts": [
{
"platform": "facebook",
"attemptedAt": "2023-11-07T05:31:56Z",
"postId": "<string>",
"error": "<string>"
}
],
"imagesProcessing": true,
"imageProcessingError": "<string>",
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"excerpt": "<string>",
"content": "<string>",
"renderedHtml": "<string>",
"category": "<string>",
"authorName": "<string>",
"coverImageUrl": "<string>",
"coverImageWidth": 123,
"coverImageHeight": 123,
"publishedAt": "2023-11-07T05:31:56Z",
"lastPublishedAt": "2023-11-07T05:31:56Z",
"unpublishedAt": "2023-11-07T05:31:56Z",
"isPublished": true,
"isFeatured": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"seoTitle": "<string>",
"metaDescription": "<string>",
"coverImageAlt": "<string>",
"contentUpdatedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}BlogArticles
Gets a published blog article by slug.
Returns the public article identified by its URL slug, or a not-found response when no published article matches.
GET
/
blog
/
{slug}
Gets a published blog article by slug.
Path Parameters
The public URL slug of the published article.
Response
OK
Represents a blog article response.
Whether to create a Facebook post after publication.
Whether to create a Instagram post after publication.
Whether to create a X post after publication.
Whether to create a LinkedIn post after publication.
Show child attributes
Show child attributes
Whether saved image references are awaiting Engine processing.
The latest background image processing failure, when present.
The processed cover image width in pixels, when known.
The processed cover image height in pixels, when known.

